Download OpenAPI specification:
millvi VOD API は millvi VOD プラットフォームを外部アプリケーションから利用できるプログラミングインターフェースです。コンテンツや変換レシピといった、動画配信に必要なリソースを簡単に扱うことができ、迅速に高品質な動画配信を行うことが出来ます。
millvi API は、CRM API と VOD API に分かれており、それぞれ担う機能が異なります。CRM API では、契約情報や利用量に関わる部分を提供しており、当APIではコンテンツ管理に関わる部分の機能のみを提供しております。
コンテンツ管理を実行するためには、配信者の認証情報(Bearer Token)が必要となります。詳しくは下記の認証情報を参照ください。
API がエラーになった場合、以下のようにエラーコードとエラーメッセージが返ってきます。
詳細についてはエラーコードをご参照ください。
{
"errorCode": "MVOD_CMN_0005",
"reason": "必須パラメーターが存在しません。[param_name]"
}
リクエストヘッダー情報に、トークンをご利用ください。
当APIでは、Bearer Token (OAuth2.0) を採用しています。
CRM API 側で、配信者用のトークンを取得していただき、そのトークンをこちらのAPIでご利用ください。
※配信者用トークンの取得方法はこちら
リクエストヘッダー情報に、トークンをご利用ください。
curl -H GET "https://${end_point}/vod/end_point" \
-H "Authorization: Bearer {access_token}"
コンテンツ一覧を取得します。
| content_id | string or null コンテンツのIDで取得対象を絞り込むときに指定します。 |
| title | string or null コンテンツのタイトルで取得対象を絞り込むときに指定します。 |
| description | string or null コンテンツの説明文で取得対象を絞り込むときに指定します。 |
| tags | string or null コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。 |
| status | string or null コンテンツの変換ステータス( |
| public_setting_types | string or null コンテンツが含む公開タイプ( |
| media_types | string or null コンテンツのメディアタイプ( |
| parent_content_id | string or null non-empty 親フォルダのコンテンツIDで取得対象を絞り込むときに指定します。 |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| sort_by | string Default: "created_at" Enum: "duration" "public_setting.start" "updated_at" "created_at" "score" "title" "storage_amount" 並び替えに使用するフィールド。 |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| page_size | integer [ 1 .. 200 ] Default: 20 1ページあたりのコンテンツ数 |
| page | integer [ 1 .. 100000000 ] Default: 1 ページ番号 |
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
required | Array of objects 統計 |
| page | integer or null ページ番号 |
Array of objects or null 親フォルダ情報 |
curl -v -X GET 'https://${end_point}/contents?content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&title=タイトル&description=説明文&tags=タグ1,タグ2&status=FAILED_TO_UPLOAD,NOT_READY_TO_CONVERT,READY_TO_CONVERT,WAIT_TO_CONVERT,CONVERTING,CONVERT_COMPLETED,CONVERT_ERROR,LIVE_ARCHIVING,ARCHIVE_FAILED&public_setting_types=public,private,period&media_types=video,pdf&parent_content_id=4ba28124-c54f-83d8-9ffb-5324bddbafc9&thumbnail_url_expires_in_days=1000&sort_by=created_at&order=desc&page_size=200&page=1' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "media_type": "video",
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "conversion_rate": 100,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "duration": 10,
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1
},
}
], - "page": 1,
- "parent_folders": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "folder001"
}
]
}コンテンツメタ情報を登録します。
| title required | string [ 1 .. 1024 ] characters タイトル |
| description | string <= 8192 characters Default: "" 説明文 |
| tag | Array of strings or null タグ。1文字以上256文字以内で設定してください。 |
| recipe_id | string or null レシピIDを指定してください。(指定されない場合はデフォルトのレシピが入ります) |
object 公開設定 | |
| is_password_required | boolean Default: false コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
object or null アップロード情報 | |
| generates_thumbnails | boolean or null
|
| parent_content_id | string or null non-empty コンテンツを格納したい親フォルダのコンテンツIDを指定します。未指定もしくはnullを指定した場合は作成したコンテンツはルート直下に格納されます。 |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| title required | string タイトル |
| status required | string Enum: "FAILED_TO_UPLOAD" "NOT_READY_TO_CONVERT" "READY_TO_CONVERT" "WAIT_TO_CONVERT" "CONVERTING" "CONVERT_COMPLETED" "CONVERT_ERROR" "LIVE_ARCHIVING" "ARCHIVE_FAILED" ** 変換ステータス ** |
| created_at required | string コンテンツ登録日 |
| updated_at required | string コンテンツ更新日 |
| description | string or null 説明文 |
| origin_file_name | string or null 元ファイル名 |
| origin_file_size | integer or null アップロードしたファイルのサイズ(byte) |
object or null 公開設定 | |
| media_type | string or null Enum: "pdf" "video" "live" "audio" "folder" メディアタイプ |
| tag | Array of strings or null タグ |
| is_password_required | boolean or null パスワード設定情報 |
| conversion_rate | integer or null 変換進捗率 |
| parent_content_id | string or null 親フォルダのコンテンツID |
| storage_amount | integer or null ストレージ使用量(byte) |
| recipe_id | string or null レシピID |
| duration | number or null 動画の長さ(秒) |
Array of objects or null 字幕情報 | |
object or null チャプター情報 | |
object or null 動画の幅と高さ | |
object or null PDF情報 |
{- "title": "タイトル",
- "description": "説明",
- "tag": [
- "tag1",
- "tag2"
], - "recipe_id": "1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01 00:00:00+09:00",
- "end": "2022-04-01 00:00:00+09:00"
}, - "is_password_required": false,
- "password": "password",
- "upload_info": {
- "file_name": "origin_file.mp4",
- "key": "tmp:xxxxxxxxx",
- "is_multipart": true,
- "upload_id": "nl5vrMWgBDUFOa9P",
- "parts": [
- {
- "part_number": 1,
- "e_tag": "09b435e72bda3820"
}
]
}, - "generates_thumbnails": true,
- "parent_content_id": null
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "media_type": "video",
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "conversion_rate": 100,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "duration": 10,
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1
}
}コンテンツ一覧CSVファイルの作成をリクエストします。
当APIはResponses記載のエラーの他、コンテンツ一覧取得APIのエラーを返します。
| content_id | string or null コンテンツのIDで取得対象を絞り込むときに指定します。 |
| title | string or null コンテンツのタイトルで取得対象を絞り込むときに指定します。 |
| description | string or null コンテンツの説明文で取得対象を絞り込むときに指定します。 |
| tags | string or null コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。 |
| status | string or null コンテンツの変換ステータス( |
| public_setting_types | string or null コンテンツが含む公開タイプ( |
| media_types | string or null コンテンツのメディアタイプ( |
| parent_content_id | string or null non-empty 親フォルダのコンテンツIDで取得対象を絞り込むときに指定します。 |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| sort_by | string Default: "created_at" Enum: "duration" "public_setting.start" "updated_at" "created_at" "score" "title" "storage_amount" 並び替えに使用するフィールド。 |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| Access-Control-Allow-Origin | * |
| job_id required | string ジョブID |
| api_path required | string CSV生成するAPIのパス |
| params required | string CSV生成するAPIのパラメータをJSON形式に変換した文字列 |
| status required | string Enum: "generating" "generated" "failed" "expired" ジョブのステータス |
| created_at required | string ジョブの作成日時 |
| updated_at required | string ジョブの更新日時 |
curl -v -X GET 'https://${end_point}/contents/csv?content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&title=タイトル&description=説明文&tags=タグ1,タグ2&status=FAILED_TO_UPLOAD,NOT_READY_TO_CONVERT,READY_TO_CONVERT,WAIT_TO_CONVERT,CONVERTING,CONVERT_COMPLETED,CONVERT_ERROR,LIVE_ARCHIVING,ARCHIVE_FAILED&public_setting_types=public,private,period&media_types=video,pdf&parent_content_id=4ba28124-c54f-83d8-9ffb-5324bddbafc9&thumbnail_url_expires_in_days=1000&sort_by=created_at&order=desc' -H 'Authorization: Bearer {access_token}'
{- "job_id": "12ab34cd-56ef-78gh-90ij-12kl34mn56op",
- "api_path": "/vod/contents/statistics",
- "params": "{\"from\": \"2024-06-01\", \"to\": \"2024-06-30\"}",
- "status": "generating",
- "created_at": "2024-06-01 00:00:00.000000+09:00",
- "updated_at": "2024-06-01 00:00:00.000000+09:00"
}コンテンツ詳細情報を取得します。
コンテンツが存在しない場合はステータスコード200でnullを返します。
| content_id required | string コンテンツID |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| title required | string タイトル |
| status required | string Enum: "FAILED_TO_UPLOAD" "NOT_READY_TO_CONVERT" "READY_TO_CONVERT" "WAIT_TO_CONVERT" "CONVERTING" "CONVERT_COMPLETED" "CONVERT_ERROR" "LIVE_ARCHIVING" "ARCHIVE_FAILED" ** 変換ステータス ** |
| created_at required | string コンテンツ登録日 |
| updated_at required | string コンテンツ更新日 |
| description | string or null 説明文 |
| origin_file_name | string or null 元ファイル名 |
| origin_file_size | integer or null アップロードしたファイルのサイズ(byte) |
object or null 公開設定 | |
| media_type | string or null Enum: "pdf" "video" "live" "audio" "folder" メディアタイプ |
| tag | Array of strings or null タグ |
| is_password_required | boolean or null パスワード設定情報 |
| conversion_rate | integer or null 変換進捗率 |
| parent_content_id | string or null 親フォルダのコンテンツID |
| storage_amount | integer or null ストレージ使用量(byte) |
| recipe_id | string or null レシピID |
| duration | number or null 動画の長さ(秒) |
Array of objects or null 字幕情報 | |
object or null チャプター情報 | |
object or null 動画の幅と高さ | |
object or null PDF情報。PDFファイルのイメージURLを返します。 | |
Array of objects or null サムネイル情報。サムネイルurlのリストを返します。 | |
Array of objects 親フォルダ情報 |
curl -v -X GET 'https://${end_point}/contents/{content_id}?thumbnail_url_expires_in_days=1000' -H 'Authorization: Bearer {access_token}'
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "media_type": "video",
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "conversion_rate": 100,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "duration": 10,
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1,
}, - "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
], - "parent_folders": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "folder001"
}
]
}コンテンツ情報を更新します。
| content_id required | string コンテンツID |
| title | string or null [ 1 .. 1024 ] characters タイトル |
| description | string or null <= 8192 characters 説明文 |
| tag | Array of strings or null タグ。1文字以上256文字以内で設定してください。 |
| recipe_id | string or null レシピID |
object or null 公開設定 | |
| thumbnail_active_id | string or null 利用するサムネイルID |
| is_password_required | boolean or null コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
object or null アップロード情報 | |
| generates_thumbnails | boolean or null
|
| parent_content_id | string or null non-empty コンテンツを格納したい親フォルダのコンテンツIDを指定します。 |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| title required | string タイトル |
| status required | string Enum: "FAILED_TO_UPLOAD" "NOT_READY_TO_CONVERT" "READY_TO_CONVERT" "WAIT_TO_CONVERT" "CONVERTING" "CONVERT_COMPLETED" "CONVERT_ERROR" "LIVE_ARCHIVING" "ARCHIVE_FAILED" ** 変換ステータス ** |
| created_at required | string コンテンツ登録日 |
| updated_at required | string コンテンツ更新日 |
| description | string or null 説明文 |
| origin_file_name | string or null 元ファイル名 |
| origin_file_size | integer or null アップロードしたファイルのサイズ(byte) |
object or null 公開設定 | |
| media_type | string or null Enum: "pdf" "video" "live" "audio" "folder" メディアタイプ |
| tag | Array of strings or null タグ |
| is_password_required | boolean or null パスワード設定情報 |
| conversion_rate | integer or null 変換進捗率 |
| parent_content_id | string or null 親フォルダのコンテンツID |
| storage_amount | integer or null ストレージ使用量(byte) |
| recipe_id | string or null レシピID |
| duration | number or null 動画の長さ(秒) |
Array of objects or null 字幕情報 | |
object or null チャプター情報 | |
object or null 動画の幅と高さ | |
object or null PDF情報。PDFファイルのイメージURLを返します。 | |
Array of objects or null サムネイル情報。サムネイルurlのリストを返します。 | |
Array of objects 親フォルダ情報 |
{- "title": "タイトル",
- "description": "説明",
- "tag": [
- "tag1",
- "tag2"
], - "recipe_id": "1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01 00:00:00+09:00",
- "end": "2022-04-01 00:00:00+09:00"
}, - "thumbnail_active_id": "1",
- "is_password_required": false,
- "password": "password",
- "upload_info": {
- "file_name": "origin_file.mp4",
- "key": "tmp:xxxxxxxxx",
- "is_multipart": true,
- "upload_id": "nl5vrMWgBDUFOa9P",
- "parts": [
- {
- "part_number": 1,
- "e_tag": "09b435e72bda3820"
}
]
}, - "generates_thumbnails": true,
- "parent_content_id": null
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "media_type": "video",
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "conversion_rate": 100,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "duration": 10,
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1,
}, - "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
], - "parent_folders": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "folder001"
}
]
}コンテンツ情報を削除します。
| content_id required | string コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
curl -v -X DELETE 'https://${end_point}/contents/{content_id}' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9"
}サムネイル画像を新規登録する。登録したサムネイルはidが最大のものである。
| content_id required | string コンテンツID |
required | object アップロード情報 |
| activates | boolean Default: true 登録したサムネイルをactiveにするかどうか指定します。 |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
required | Array of objects サムネイル情報 |
{- "upload_info": {
- "file_name": "origin_file.jpg",
- "key": "tmp:xxxxxxxxx"
}, - "activates": true
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
]
}サムネイル画像を削除する。(複数指定可能)
ただし、使用しているサムネイルは削除できません。
| content_id required | string コンテンツID |
| thumbnail_ids required | Array of strings 削除対象サムネイルID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| thumbnail_ids required | Array of strings 削除されたサムネイルID一覧 |
{- "thumbnail_ids": [
- "1",
- "2",
- "3"
]
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "thumbnail_ids": [
- "1",
- "2",
- "3"
]
}指定時間のサムネイルを生成します。
| content_id required | string コンテンツID |
| offset_seconds required | number >= 0 サムネイル生成時間(秒) |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
required | Array of objects サムネイル情報 |
| offset_seconds required | number サムネイル生成時間(秒) |
{- "offset_seconds": 30.5
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
], - "offset_seconds": 123
}コンテンツをダウンロードするためのURLを取得します。
ダウンロードURLには期限があり、期限が切れた場合は、再取得してください。
| content_id required | string コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| expires_at required | string 有効期限。形式は以下の通りです。 |
| download_url required | string Deprecated 期限付きのダウンロードURL |
| url required | string 期限付きのダウンロードURL |
curl -v -X GET 'https://${end_point}/contents/{content_id}/download_url' -H 'Authorization: Bearer {access_token}'
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "expires_at": "2022-04-01T00:00:00.000000+0900",
}フォルダを作成します。
| title required | string [ 1 .. 1024 ] characters フォルダ名 |
| parent_content_id | string or null non-empty 親フォルダID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| title required | string タイトル |
| status required | string Enum: "FAILED_TO_UPLOAD" "NOT_READY_TO_CONVERT" "READY_TO_CONVERT" "WAIT_TO_CONVERT" "CONVERTING" "CONVERT_COMPLETED" "CONVERT_ERROR" "LIVE_ARCHIVING" "ARCHIVE_FAILED" ** 変換ステータス ** |
| created_at required | string コンテンツ登録日 |
| updated_at required | string コンテンツ更新日 |
| description | string or null 説明文 |
| origin_file_name | string or null 元ファイル名 |
| origin_file_size | integer or null アップロードしたファイルのサイズ(byte) |
object or null 公開設定 | |
| media_type | string or null Enum: "pdf" "video" "live" "audio" "folder" メディアタイプ |
| tag | Array of strings or null タグ |
| is_password_required | boolean or null パスワード設定情報 |
| conversion_rate | integer or null 変換進捗率 |
| parent_content_id | string or null 親フォルダのコンテンツID |
| storage_amount | integer or null ストレージ使用量(byte) |
| recipe_id | string or null レシピID |
| duration | number or null 動画の長さ(秒) |
Array of objects or null 字幕情報 | |
object or null チャプター情報 | |
object or null 動画の幅と高さ | |
object or null PDF情報 |
{- "title": "フォルダその1",
- "parent_content_id": "5adf1443-5205-4ee8-bea7-5c34630583de"
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "media_type": "video",
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "conversion_rate": 100,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "duration": 10,
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1
}
}フォルダ階層情報を取得します。
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| title required | string タイトル |
| created_at required | string フォルダ作成日時 |
| updated_at required | string フォルダ更新日時 |
| folders | Array of same_as_parent 子フォルダの一覧 |
curl -v -X GET 'https://${end_point}/contents/folder' -H 'Authorization: Bearer {access_token}'
{- "content_id": "5adf1443-5205-4ee8-bea7-5c34630583de",
- "title": "フォルダその1",
- "created_at": "2024-06-01 00:00:00.000000+09:00",
- "updated_at": "2024-06-02 00:00:00.000000+09:00",
- "folders": [ ]
}字幕管理で利用するAPIについて記述します。
字幕は動画コンテンツにのみ利用可能です。
設定可能な字幕開始・終了時刻の最大値は、それぞれ99時間59分59秒998と99時間59分59秒999になります。
字幕データの追加・編集・削除操作の途中でエラーが発生した場合は、成功した範囲の操作はロールバックされずに反映されます。
字幕を新規作成します。
| content_id required | string non-empty コンテンツID |
| label required | string <= 64 characters 字幕ラベル |
| srclang required | string [ 1 .. 128 ] characters 言語コード |
| is_default | boolean Default: false デフォルト字幕設定 trueのときデフォルトの字幕となります |
| is_enabled | boolean Default: false 字幕公開設定 trueのとき視聴者へ公開されます |
Array of objects 字幕データリスト | |
| order | integer or null 字幕一覧での表示順 |
| Access-Control-Allow-Origin | * |
| subtitle_id required | string 字幕ID |
| label required | string 字幕ラベル |
| srclang required | string 言語コード |
| is_default required | boolean デフォルト字幕設定 |
| is_enabled required | boolean 字幕の公開非公開設定 |
| order required | integer 表示順 |
| status required | string Enum: "UNPROCESSED" "PROCESSING" "PROCESSED" "FAILURE" ステータス |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "items": [
- {
- "begin": "00:00:00.000",
- "end": "99:59:59.999",
- "text": "字幕テキスト",
- "order": 0
}
], - "order": 0
}{- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}字幕ファイルを登録します。
| content_id required | string コンテンツID |
| key required | string non-empty アップロードデータの保存先情報 |
| label required | string [ 1 .. 64 ] characters 字幕ラベル |
| srclang required | string [ 1 .. 128 ] characters 言語コード |
| is_default | boolean or null デフォルト字幕設定 |
| Access-Control-Allow-Origin | * |
| subtitle_id required | string 字幕ID |
| label required | string 字幕ラベル |
| srclang required | string 言語コード |
| is_default required | boolean デフォルト字幕設定 |
| is_enabled required | boolean 字幕の公開非公開設定 |
| order required | integer 表示順 |
| status required | string Enum: "UNPROCESSED" "PROCESSING" "PROCESSED" "FAILURE" ステータス |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "key": "tmp:xxxxxxxxx",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false
}{- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}指定した秒数の範囲の字幕を取得します。
指定した字幕が存在しない場合はステータスコード200でnullを返します。
| content_id required | string コンテンツID |
| subtitle_id required | string 字幕ID |
| start required | number [ 0 .. 359999.999 ] 開始秒数 |
| end required | number [ 0 .. 359999.999 ] 終了秒数 |
| export_draft | boolean Default: false trueのとき下書きを含んで出力します |
| as_text | boolean Default: false trueのときテキスト(vtt_text)を返します |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| subtitle_id required | string 字幕ID 無指定のとき新規作成 |
| label required | string 字幕ラベル |
| srclang required | string 言語コード |
| is_default required | boolean デフォルト字幕設定 |
| is_enabled required | boolean 字幕の公開非公開設定 |
| order required | integer 表示順 |
| status required | string Enum: "UNPROCESSED" "PROCESSING" "PROCESSED" "FAILURE" ステータス |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
Array of objects or null 字幕データ | |
| vtt_text | string or null VTTテキストデータ |
curl -v -X GET 'https://${end_point}/contents/{content_id}/subtitle/{subtitle_id}?start=0.0&end=7200.0&export_draft=False&as_text=False' -H 'Authorization: Bearer {access_token}'
{- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0",
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900",
- "cues": {
- "begin": "00:00:00.000",
- "end": "99:99:99.999",
- "is_draft": true,
- "text": "字幕テキスト",
- "order": 0
}, - "vtt_text": "VTT\n\n 00:00:00.000 --> 23:59:59.999\n字幕テキスト"
}字幕を編集します。
| content_id required | string non-empty コンテンツID |
| subtitle_id required | string non-empty 字幕ID |
| label | string or null <= 64 characters 字幕ラベル |
| srclang | string or null [ 1 .. 128 ] characters 言語コード |
| is_default | boolean or null デフォルト字幕設定 trueのときデフォルトの字幕となります |
| is_enabled | boolean or null 字幕公開設定 trueのとき視聴者へ公開されます |
Array of objects 字幕データリスト | |
| apply | boolean or null 字幕公開設定 |
| order | integer or null 字幕一覧での表示順 |
| Access-Control-Allow-Origin | * |
| subtitle_id required | string 字幕ID |
| label required | string 字幕ラベル |
| srclang required | string 言語コード |
| is_default required | boolean デフォルト字幕設定 |
| is_enabled required | boolean 字幕の公開非公開設定 |
| order required | integer 表示順 |
| status required | string Enum: "UNPROCESSED" "PROCESSING" "PROCESSED" "FAILURE" ステータス |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "items": [
- {
- "begin": "00:00:00.000",
- "end": "99:59:59.999",
- "text": "字幕テキスト",
- "order": 0,
- "delete": false
}
], - "apply": false,
- "order": 0
}{- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}字幕を削除します。
| content_id required | string コンテンツID |
| subtitle_id required | string 字幕ID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| subtitle_id required | string 字幕ID |
curl -v -X DELETE 'https://${end_point}/contents/{content_id}/subtitle/{subtitle_id}' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0",
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250"
}字幕を一括編集します。
Array of objects 字幕データリスト |
| Access-Control-Allow-Origin | * |
| total_count required | integer 字幕データ数 |
required | Array of objects 字幕データ |
{- "items": [
- {
- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0",
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "items": [
- {
- "begin": "00:00:00.000",
- "end": "99:59:59.999",
- "text": "字幕テキスト",
- "order": 0,
- "delete": false
}
], - "apply": false,
- "order": 0
}
]
}{- "total_count": 1,
- "items": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900",
- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0"
}
]
}字幕をダウンロードURLを取得する
| content_id required | string コンテンツID |
| subtitle_id required | string 字幕ID |
| export_draft | boolean Default: false trueのとき下書きを含んで出力します |
| Access-Control-Allow-Origin | * |
| url required | string ダウンロードURL |
| expires_at required | string ダウンロードURLの有効期限 |
curl -v -X GET 'https://${end_point}/contents/{content_id}/subtitle/{subtitle_id}/download?export_draft=False' -H 'Authorization: Bearer {access_token}'
{- "expires_at": "2020-01-01T00:00:00.000000+0900"
}自動字幕生成を開始します。
| content_id required | string コンテンツID |
| label required | string [ 1 .. 64 ] characters 字幕ラベル |
| srclang required | string Enum: "af" "ar-AE" "ar-SA" "da" "de-DE" "de-CH" "en-AU" "en-GB" "en-IN" "en-IE" "en-NZ" "en-AB" "en-ZA" "en-US" "en-WL" "es-ES" "es-US" "fa" "fr-FR" "fr-CA" "he" "hi" "id" "it" "ja" "ko" "ms" "nl" "pt-PT" "pt-BR" "ru" "sv" "ta" "te" "th" "tr" "vi" "zh-CN" "zh-TW" 言語コード |
| speakers_count | integer or null [ 1 .. 10 ] 話している人数 |
| Access-Control-Allow-Origin | * |
| subtitle_id required | string 字幕ID |
| label required | string 字幕ラベル |
| srclang required | string 言語コード |
| is_default required | boolean デフォルト字幕設定 |
| is_enabled required | boolean 字幕の公開非公開設定 |
| order required | integer 表示順 |
| status required | string Enum: "UNPROCESSED" "PROCESSING" "PROCESSED" "FAILURE" ステータス |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "label": "日本語",
- "srclang": "ja",
- "speakers_count": 1
}{- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}自動字幕生成の利用可能時間と実際の利用時間を取得します。
パラメーターのyearとmonthを指定した場合は、その年月の情報を、
指定しない場合は当月の情報をそれぞれ取得できます。
| year | integer or null [ 1000 .. 9999 ] 対象年 |
| month | integer or null [ 1 .. 12 ] 対象月 |
| Access-Control-Allow-Origin | * |
| total_usage_second required | number 対象年月の実際の利用時間(秒) |
| quota_second required | integer 対象年月の利用可能時間(秒) |
curl -v -X GET 'https://${end_point}/usages/subtitle/transcription?year=2022&month=5' -H 'Authorization: Bearer {access_token}'
{- "total_usage_second": 500.1,
- "quota_second": 500
}チャプター管理で利用するAPIについて記述します。
チャプターは動画コンテンツにのみ利用可能です。
設定可能なチャプター開始・終了時刻の最大値は、それぞれ99時間59分59秒998と99時間59分59秒999になります。
チャプターを取得します。
指定したコンテンツにチャプターが存在しない場合はステータスコード200でnullを返します。
| content_id required | string コンテンツID |
| export_draft | boolean Default: false trueのとき下書きを含んで出力します |
| as_text | boolean Default: false trueのときテキスト(vtt_text)を返します |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| label required | string チャプターラベル |
| is_enabled required | boolean チャプターの公開非公開設定 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
Array of objects or null チャプターデータ | |
| vtt_text | string or null VTTテキストデータ |
curl -v -X GET 'https://${end_point}/contents/{content_id}/chapter?export_draft=False&as_text=False' -H 'Authorization: Bearer {access_token}'
{- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0",
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900",
- "cues": {
- "begin": "00:00:00.000",
- "end": "99:99:99.999",
- "is_draft": true,
- "text": "第1章",
- "order": 0
}, - "vtt_text": "VTT\n\n 00:00:00.000 --> 00:00:10.000\n第1章"
}チャプターファイルを登録します。
| content_id required | string コンテンツID |
| key required | string non-empty アップロードデータの保存先情報 |
| label required | string [ 1 .. 1024 ] characters チャプターラベル |
| Access-Control-Allow-Origin | * |
| label required | string チャプターラベル |
| is_enabled required | boolean チャプターの公開非公開設定 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "key": "tmp:xxxxxxxxx",
- "label": "日本語"
}{- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}チャプターを新規作成します。チャプターが既に存在する場合は上書きされます。
| content_id required | string コンテンツID |
| label required | string [ 1 .. 1024 ] characters チャプターラベル |
| is_enabled required | boolean チャプター表示設定 trueのとき公開されます |
Array of objects チャプターデータリスト | |
| apply | boolean or null 公開設定 trueのとき編集後の内容を一般に公開します |
| Access-Control-Allow-Origin | * |
| label required | string チャプターラベル |
| is_enabled required | boolean チャプターの公開非公開設定 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "label": "第1章",
- "is_enabled": false,
- "items": [
- {
- "begin": "00:00:00.000",
- "text": "- Where are we now?",
- "order": 0
}
], - "apply": false
}{- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}チャプターを削除します。
| content_id required | string コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
curl -v -X DELETE 'https://${end_point}/contents/{content_id}/chapter' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "content_id": "f5c14cc9-4808-4c86-b2fd-de63ae72a6a0"
}チャプターを編集します。
| content_id required | string コンテンツID |
| label | string or null [ 1 .. 1024 ] characters チャプターラベル |
| is_enabled | boolean or null チャプター表示設定 trueのとき公開されます |
Array of objects チャプターデータリスト | |
| apply | boolean or null 公開設定 trueのとき編集後の内容を一般に公開します |
| Access-Control-Allow-Origin | * |
| label required | string チャプターラベル |
| is_enabled required | boolean チャプターの公開非公開設定 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "label": "第1章",
- "is_enabled": false,
- "items": [
- {
- "begin": "00:00:00.000",
- "text": "- Where are we now?",
- "order": 0,
- "delete": false
}
], - "apply": false
}{- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}チャプターをダウンロードURLを取得する
| content_id required | string コンテンツID |
| export_draft | boolean Default: false trueのとき下書きを含んで出力します |
| Access-Control-Allow-Origin | * |
| url required | string ダウンロードURL |
| expires_at required | string ダウンロードURLの有効期限 |
curl -v -X GET 'https://${end_point}/contents/{content_id}/chapter/download?export_draft=False' -H 'Authorization: Bearer {access_token}'
{- "expires_at": "2020-01-01T00:00:00.000000+0900"
}ファイルのアップロードで利用するAPIについて記述します。
一時アップロード先に保存したデータは、アップロード完了から2日間使用できます。2日経過すればアップロードしたファイルは削除されますので、アップロードURL取得APIのレスポンスに含まれるkeyを利用して、各種管理系APIで適切に処理を実施して下さい。
一時アップロードURLを取得する
| url_expires_in_seconds | integer [ 1 .. 10800 ] Default: 300 URLの有効期限を秒単位で指定します。 |
| Access-Control-Allow-Origin | * |
| url required | string アップロードURL |
| key required | string アップロードデータの保存先情報 |
| expires_at required | string 有効期限 |
curl -v -X GET 'https://${end_point}/file/upload/tmp?url_expires_in_seconds=300' -H 'Authorization: Bearer {access_token}'
{- "key": "tmp:xxxxxxxxx",
- "expires_at": "2020-01-01T00:00:00.000000+0900"
}一時マルチパートアップロードURLを取得する
| chunk_file_count required | integer [ 1 .. 500 ] チャンク数。何個に分割してアップロードするかを指定します。上限は |
| url_expires_in_seconds | integer [ 1 .. 10800 ] Default: 3600 URLの有効期限を秒単位で指定します。 |
| Access-Control-Allow-Origin | * |
| urls required | Array of strings アップロードURL |
| key required | string アップロードデータの保存先情報 |
| expires_at required | string 有効期限 |
| upload_id required | string アップロードID |
curl -v -X GET 'https://${end_point}/file/upload/tmp/multipart?chunk_file_count=10&url_expires_in_seconds=3600' -H 'Authorization: Bearer {access_token}'
{- "key": "tmp:xxxxxxxxx",
- "expires_at": "2020-01-01T00:00:00.000000+0900",
- "upload_id": "nl5vrMWgBDUFOa9P"
}レシピ管理で利用するAPIについて記述します。
レシピとはコンテンツ変換時のエンコード設定を指します。
標準で以下のレシピが準備されています。標準で準備されているレシピは編集/削除ができません。
| recipe_id | category | name | audio_bit_rate | video_bit_rate | width x height | frame_rate |
|---|---|---|---|---|---|---|
| 1 | video | 高画質 | 128000 128000 128000 |
8000000 4500000 2000000 |
2560x1440 1920x1080 1280x720 |
30 30 30 |
| 2 | video | 標準 | 128000 128000 |
2000000 1000000 |
1280x720 854x480 |
30 30 |
| 3 | video | 低画質 | 128000 96000 |
1000000 500000 |
854x480 640x360 |
30 30 |
| 4 | audio | 音声標準 | 96000 | - | - | - |
レシピ一覧を取得します。
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
required | Array of objects |
curl -v -X GET 'https://${end_point}/recipes' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "recipe_id": "1",
- "name": "標準",
- "editable": false,
- "category": "video",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
], - "is_millvi_managed": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900"
}
]
}レシピ情報を登録します。
| name required | string [ 1 .. 1024 ] characters レシピ名 |
required | Array of objects [ 1 .. 10 ] items 出力設定 |
| category | string Default: "video" Enum: "video" "audio" レシピ種別 |
| Access-Control-Allow-Origin | * |
| recipe_id required | string レシピID |
| name required | string レシピ名 |
| editable required | boolean 変更可能フラグ |
| category required | string Enum: "video" "audio" レシピ種別 |
required | Array of objects 出力設定 |
| is_millvi_managed required | boolean millvi管理レシピフラグ |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "name": "標準",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
], - "category": "video"
}{- "recipe_id": "1",
- "name": "標準",
- "editable": false,
- "category": "video",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
], - "is_millvi_managed": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900"
}レシピ詳細情報を取得します。
レシピが存在しない場合はステータスコード200でnullを返します。
| recipe_id required | string レシピID |
| Access-Control-Allow-Origin | * |
| recipe_id required | string レシピID |
| name required | string レシピ名 |
| editable required | boolean 変更可能フラグ |
| category required | string Enum: "video" "audio" レシピ種別 |
required | Array of objects 出力設定 |
| is_millvi_managed required | boolean millvi管理レシピフラグ |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
curl -v -X GET 'https://${end_point}/recipes/{recipe_id}' -H 'Authorization: Bearer {access_token}'
{- "recipe_id": "1",
- "name": "標準",
- "editable": false,
- "category": "video",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
], - "is_millvi_managed": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900"
}レシピ情報を更新します。
| recipe_id required | string レシピID |
| name | string or null [ 1 .. 1024 ] characters レシピ名 |
Array of objects or null [ 1 .. 10 ] items 出力設定 |
| Access-Control-Allow-Origin | * |
| recipe_id required | string レシピID |
| name required | string レシピ名 |
| editable required | boolean 変更可能フラグ |
| category required | string Enum: "video" "audio" レシピ種別 |
required | Array of objects 出力設定 |
| is_millvi_managed required | boolean millvi管理レシピフラグ |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
{- "name": "標準",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
]
}{- "recipe_id": "1",
- "name": "標準",
- "editable": false,
- "category": "video",
- "output_setting": [
- {
- "audio_bit_rate": 128000,
- "frame_rate": 30,
- "width": 1920,
- "height": 1080,
- "video_bit_rate": 4500000
}
], - "is_millvi_managed": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900"
}レシピを削除します。
| recipe_id required | string レシピID |
| Access-Control-Allow-Origin | * |
| recipe_id required | string レシピID |
curl -v -X DELETE 'https://${end_point}/recipes/{recipe_id}' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "recipe_id": "1"
}プレイヤーのカスタマイズに利用するAPIについて記述します。
標準で以下のプレイヤーが準備されています。標準で準備されているプレイヤーは編集/削除ができません。
| player_id | player_type | player_name |
|---|---|---|
| 1 | video | デフォルトVIDEOプレイヤー |
| 2 | デフォルトPDFプレイヤー | |
| 3 | audio | デフォルト音声プレイヤー |
プレイヤーリストを取得します
| Access-Control-Allow-Origin | * |
| total_count required | integer プレイヤー設定の数 |
required | Array of objects プレイヤー設定一覧 |
curl -v -X GET 'https://${end_point}/player' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "player_id": 3,
- "player_name": "my_player_01",
- "player_type": "video",
- "aspect_ratio": "16:9",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "height": 720,
- "width": 1240,
- "chromeless": true,
- "autoplay": true,
- "big_play_button": true,
- "controls": true,
- "show_title": false,
- "default_volume": 0.7,
- "fullscreen": true,
- "loop": false,
- "muted": true,
- "playback_rates": [
- 0.8,
- 1,
- 1.2
], - "preload": "auto",
- "seekable": true,
- "skip_enabled": true,
- "resume": false,
- "is_default": false,
- "style": "bar",
- "continuous": false
}
]
}指定されたIDのプレイヤーを削除します
| player_id required | integer プレイヤーID |
| Access-Control-Allow-Origin | * |
| player_id required | integer プレイヤーID |
{- "player_id": 4
}{- "player_id": 4
}指定された名前およびタイプのプレイヤーを追加します
| player_name required | string [ 1 .. 1024 ] characters プレイヤー名 |
| player_type required | string Enum: "video" "pdf" "audio" プレイヤータイプ |
| fullscreen | boolean or null Default: true 全画面表示 |
| aspect_ratio | string or null Default: "16:9" Enum: "16:9" "4:3" "9:16" "3:4" "FIXED_SIZE" "RESPONSIVE" アスペクト比 |
| height | integer or null 高さ |
| width | integer or null 幅 |
| chromeless | boolean or null Default: true クロムレス |
| autoplay | boolean or null Default: false 自動再生 |
| big_play_button | boolean or null Default: true 再生アイコン |
| controls | boolean or null Default: true コントロールパネル |
| show_title | boolean or null Default: false タイトル表示 |
| default_volume | number or null [ 0 .. 1 ] Default: 0.7 ボリューム |
| loop | boolean or null Default: false リピート |
| muted | boolean or null Default: false ミュート |
| playback_rates | Array of numbers or null 速度設定 |
| preload | string or null Default: "auto" Enum: "auto" "metadata" "none" プリロード |
| seekable | boolean or null Default: true シーク可能設定 |
| skip_enabled | boolean or null Default: true スキップボタン表示設定 |
| resume | boolean or null Default: false レジューム再生機能 |
| style | string or null Enum: "bar" "circle" プレイヤースタイル |
| continuous | boolean or null Default: false 連続再生 |
| Access-Control-Allow-Origin | * |
| player_id required | integer プレイヤーID |
| player_name required | string プレイヤー名 |
| player_type required | string Enum: "video" "pdf" "audio" プレイヤータイプ |
| aspect_ratio required | string Enum: "16:9" "4:3" "9:16" "3:4" "FIXED_SIZE" "RESPONSIVE" アスペクト比 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
| height | integer or null 高さ |
| width | integer or null 幅 |
| chromeless | boolean or null クロムレス |
| autoplay | boolean or null 自動再生 |
| big_play_button | boolean or null 再生アイコン |
| controls | boolean or null コントロールパネル |
| show_title | boolean or null タイトル表示 |
| default_volume | number or null [ 0 .. 1 ] ボリューム |
| fullscreen | boolean or null 全画面表示 |
| loop | boolean or null リピート |
| muted | boolean or null ミュート |
| playback_rates | Array of numbers or null 速度設定 |
| preload | string or null Enum: "auto" "metadata" "none" プリロード |
| seekable | boolean or null シーク可能設定 |
| skip_enabled | boolean or null スキップボタン表示設定 |
| resume | boolean or null レジューム再生機能 |
| is_default | boolean or null デフォルトプレイヤーフラグ |
| style | string or null Enum: "bar" "circle" プレイヤースタイル |
| continuous | boolean or null Default: false 連続再生 |
{- "player_name": "my_player_01",
- "player_type": "video",
- "fullscreen": true,
- "aspect_ratio": "16:9",
- "height": 720,
- "width": 1240,
- "chromeless": true,
- "autoplay": true,
- "big_play_button": true,
- "controls": true,
- "show_title": false,
- "default_volume": 0.7,
- "loop": false,
- "muted": false,
- "playback_rates": [
- 0.8,
- 1,
- 1.2
], - "preload": "auto",
- "seekable": true,
- "skip_enabled": true,
- "resume": false,
- "style": "bar",
- "continuous": false
}{- "player_id": 3,
- "player_name": "my_player_01",
- "player_type": "video",
- "aspect_ratio": "16:9",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "height": 720,
- "width": 1240,
- "chromeless": true,
- "autoplay": true,
- "big_play_button": true,
- "controls": true,
- "show_title": false,
- "default_volume": 0.7,
- "fullscreen": true,
- "loop": false,
- "muted": true,
- "playback_rates": [
- 0.8,
- 1,
- 1.2
], - "preload": "auto",
- "seekable": true,
- "skip_enabled": true,
- "resume": false,
- "is_default": false,
- "style": "bar",
- "continuous": false
}指定したプレイヤーIDの設定を更新します
| player_id required | integer プレイヤーID |
| player_name | string or null [ 1 .. 1024 ] characters プレイヤー名 |
| fullscreen | boolean or null 全画面表示 |
| aspect_ratio | string or null Enum: "16:9" "4:3" "9:16" "3:4" "FIXED_SIZE" "RESPONSIVE" アスペクト比 |
| height | integer or null 高さ |
| width | integer or null 幅 |
| chromeless | boolean or null クロムレス |
| autoplay | boolean or null 自動再生 |
| big_play_button | boolean or null 再生アイコン |
| controls | boolean or null コントロールパネル |
| show_title | boolean or null タイトル表示 |
| default_volume | number or null [ 0 .. 1 ] ボリューム |
| loop | boolean or null リピート |
| muted | boolean or null ミュート |
| playback_rates | Array of numbers or null 速度設定 |
| preload | string or null Enum: "auto" "metadata" "none" プリロード |
| seekable | boolean or null シーク可能設定 |
| skip_enabled | boolean or null スキップボタン表示設定 |
| resume | boolean or null レジューム再生機能 |
| style | string or null Enum: "bar" "circle" プレイヤースタイル |
| continuous | boolean or null 連続再生 |
| Access-Control-Allow-Origin | * |
| player_id required | integer プレイヤーID |
| player_name required | string プレイヤー名 |
| player_type required | string Enum: "video" "pdf" "audio" プレイヤータイプ |
| aspect_ratio required | string Enum: "16:9" "4:3" "9:16" "3:4" "FIXED_SIZE" "RESPONSIVE" アスペクト比 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
| height | integer or null 高さ |
| width | integer or null 幅 |
| chromeless | boolean or null クロムレス |
| autoplay | boolean or null 自動再生 |
| big_play_button | boolean or null 再生アイコン |
| controls | boolean or null コントロールパネル |
| show_title | boolean or null タイトル表示 |
| default_volume | number or null [ 0 .. 1 ] ボリューム |
| fullscreen | boolean or null 全画面表示 |
| loop | boolean or null リピート |
| muted | boolean or null ミュート |
| playback_rates | Array of numbers or null 速度設定 |
| preload | string or null Enum: "auto" "metadata" "none" プリロード |
| seekable | boolean or null シーク可能設定 |
| skip_enabled | boolean or null スキップボタン表示設定 |
| resume | boolean or null レジューム再生機能 |
| is_default | boolean or null デフォルトプレイヤーフラグ |
| style | string or null Enum: "bar" "circle" プレイヤースタイル |
| continuous | boolean or null Default: false 連続再生 |
{- "player_id": 4,
- "player_name": "my_player_01",
- "fullscreen": true,
- "aspect_ratio": "16:9",
- "height": 720,
- "width": 1240,
- "chromeless": true,
- "autoplay": true,
- "big_play_button": true,
- "controls": true,
- "show_title": false,
- "default_volume": 0.7,
- "loop": false,
- "muted": true,
- "playback_rates": [
- 0.8,
- 1,
- 1.2
], - "preload": "auto",
- "seekable": true,
- "skip_enabled": true,
- "resume": false,
- "style": "bar",
- "continuous": false
}{- "player_id": 3,
- "player_name": "my_player_01",
- "player_type": "video",
- "aspect_ratio": "16:9",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "height": 720,
- "width": 1240,
- "chromeless": true,
- "autoplay": true,
- "big_play_button": true,
- "controls": true,
- "show_title": false,
- "default_volume": 0.7,
- "fullscreen": true,
- "loop": false,
- "muted": true,
- "playback_rates": [
- 0.8,
- 1,
- 1.2
], - "preload": "auto",
- "seekable": true,
- "skip_enabled": true,
- "resume": false,
- "is_default": false,
- "style": "bar",
- "continuous": false
}コンテンツセキュリティ設定を管理するAPIについて記述します。
標準で以下のセキュリティ設定が準備されています。標準で準備されているセキュリティ設定は削除ができません。(編集は可能)
| security_config_name | security_config_id | allowed_ip_address | allowed_domain |
|---|---|---|---|
| デフォルト | null | null | null |
コンテンツセキュリティ設定一覧を取得します
| Access-Control-Allow-Origin | * |
| total_count required | integer コンテンツセキュリティ設定の数 |
required | Array of objects コンテンツセキュリティ設定一覧 |
curl -v -X GET 'https://${end_point}/security/contents' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "security_config_name": "セキュリティ設定_1",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "allowed_ip_address": [
- "10.0.0.2",
- "192.168.0.1/24"
], - "allowed_domain": [
- "millvi.com"
], - "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}
]
}コンテンツセキュリティ設定を作成します
| security_config_name required | string [ 1 .. 1024 ] characters セキュリティ設定名 |
| allowed_ip_address | Array of strings or null IPホワイトリスト |
| allowed_domain | Array of strings or null ドメインホワイトリスト。 |
| Access-Control-Allow-Origin | * |
| security_config_name required | string セキュリティ設定名 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
| allowed_ip_address | Array of strings IPホワイトリスト |
| allowed_domain | Array of strings ドメインホワイトリスト |
| security_config_id | string or null セキュリティ設定ID デフォルトセキュリティ設定の場合にnullになります |
{- "security_config_name": "セキュリティ設定_1",
- "allowed_ip_address": [
- "10.0.0.2",
- "192.168.0.0/24"
], - "allowed_domain": [
- "millvi.com"
]
}{- "security_config_name": "セキュリティ設定_1",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "allowed_ip_address": [
- "10.0.0.2",
- "192.168.0.1/24"
], - "allowed_domain": [
- "millvi.com"
], - "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}コンテンツセキュリティ設定を更新します
| security_config_name | string or null [ 1 .. 1024 ] characters セキュリティ設定名 |
| allowed_ip_address | Array of strings or null IPホワイトリスト |
| allowed_domain | Array of strings or null ドメインホワイトリスト。 |
| security_config_id | string or null セキュリティ設定ID 無指定の場合、デフォルト設定を更新します |
| Access-Control-Allow-Origin | * |
| security_config_name required | string セキュリティ設定名 |
| created_at required | string 作成日時 |
| updated_at required | string 更新日時 |
| allowed_ip_address | Array of strings IPホワイトリスト |
| allowed_domain | Array of strings ドメインホワイトリスト |
| security_config_id | string or null セキュリティ設定ID デフォルトセキュリティ設定の場合にnullになります |
{- "security_config_name": "セキュリティ設定_1",
- "allowed_ip_address": [
- "10.0.0.2",
- "192.168.0.0/24"
], - "allowed_domain": [
- "millvi.com"
], - "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}{- "security_config_name": "セキュリティ設定_1",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "allowed_ip_address": [
- "10.0.0.2",
- "192.168.0.1/24"
], - "allowed_domain": [
- "millvi.com"
], - "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}コンテンツセキュリティ設定を削除します
| security_config_id required | string non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| security_config_id required | string セキュリティ設定ID |
{- "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}{- "security_config_id": "b2a87e37-1ec5-431f-9d59-2717f7363ee4"
}Embedキーを取得するAPIについて記述します。
Embedキーはコンテンツ視聴のために必要な情報をハッシュ化した値となります。Embedキーを適切な形式でプレイヤーに渡すことで、コンテンツを視聴することができます。
プレイヤーの埋め込みコードに必要なembedkeyを発行します。
| content_id | string or null non-empty コンテンツID |
| playlist_id | string or null non-empty プレイリストID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| is_live | boolean Default: false ライブコンテンツフラグ |
object or null プレビュートークンの生成オプション 未指定の場合はプレビュートークンは生成されません |
| Access-Control-Allow-Origin | * |
| embed_key required | string Embedキー |
object or null プレビュートークン情報 |
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "playlist_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "player_id": 3,
- "security_config_id": "4a5801b1-f76e-44a5-8f1a-2d50f6a47c4c",
- "is_live": false,
- "preview_token_option": {
- "restrict_content_id": true,
- "live_status_override": false
}
}{- "embed_key": "AQICAHgkhJIMl9",
- "preview_token_info": {
- "token": "AQICAHgkhLWM49",
- "expire_at": "2022-01-01T00:00:00.000000+0900"
}
}登録されているシークレットキーの一覧取得
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
Array of objects or null シークレットキーリスト |
curl -v -X GET 'https://${end_point}/security/key' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": {
- "key_name": "key_name",
- "created_at": "2022-02-13T14:43:06.917874+0900"
}
}access_keyの署名で使用するシークレットキーの発行
| key_name required | string non-empty シークレットキー名 |
| Access-Control-Allow-Origin | * |
{- "key_name": "key_name"
}{- "errorCode": "MVOD_CMN_0005",
- "reason": "必須パラメーターが存在しません。[param_names]"
}access_keyの署名で使用するシークレットキーの削除
| key_name required | string non-empty シークレットキー名 |
| Access-Control-Allow-Origin | * |
| key_name required | string シークレットキー名 |
curl -v -X DELETE 'https://${end_point}/security/key/{key_name}' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "key_name": "key_name"
}VODコンテンツ簡易視聴ページのURLを返します。
| content_id required | string コンテンツID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| url required | string 簡易視聴URL |
{- "player_id": 3,
- "security_config_id": "4a5801b1-f76e-44a5-8f1a-2d50f6a47c4c"
}ライブコンテンツ簡易視聴ページのURLを返します。
| content_id required | string コンテンツID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| url required | string 簡易視聴URL |
{- "player_id": 3,
- "security_config_id": "4a5801b1-f76e-44a5-8f1a-2d50f6a47c4c"
}プレイリストコンテンツ簡易視聴ページのURLを返します。
| playlist_id required | string プレイリストID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| url required | string 簡易視聴URL |
{- "player_id": 3,
- "security_config_id": "466ed4ac-91b7-40b6-aaea-a742d959dc04"
}VODコンテンツ視聴用のiframeを発行します。
| content_id required | string コンテンツID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| iframe_tag required | string iframeタグ |
{- "player_id": 3,
- "security_config_id": "4a5801b1-f76e-44a5-8f1a-2d50f6a47c4c"
}{- "iframe_tag": "<iframe name=\"7ZaOhA0Q0tMTqHC\" src=\"https://iframe.millvi.com/7ZaOhA0Q0tMTqHC8ExpOLDEdetCb3zKzQYFHIh9RpuI=\" frameborder=\"0\" width=\"100%\" allowfullscreen></iframe>"
}LIVEコンテンツ視聴用のiframeを発行します。
| content_id required | string コンテンツID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| iframe_tag required | string iframeタグ |
{- "player_id": 3,
- "security_config_id": "4a5801b1-f76e-44a5-8f1a-2d50f6a47c4c"
}{- "iframe_tag": "<iframe name=\"7ZaOhA0Q0tMTqHC\" src=\"https://iframe.millvi.com/7ZaOhA0Q0tMTqHC8ExpOLDEdetCb3zKzQYFHIh9RpuI=\" frameborder=\"0\" width=\"100%\" allowfullscreen></iframe>"
}プレイリストコンテンツ視聴用のiframeを発行します。
| playlist_id required | string プレイリストID |
| player_id | integer or null プレイヤーID |
| security_config_id | string or null non-empty セキュリティ設定ID |
| Access-Control-Allow-Origin | * |
| iframe_tag required | string iframeタグ |
{- "player_id": 3,
- "security_config_id": "466ed4ac-91b7-40b6-aaea-a742d959dc04"
}{- "iframe_tag": "<iframe name=\"7ZaOhA0Q0tMTqHC\" src=\"https://iframe.millvi.com/7ZaOhA0Q0tMTqHC8ExpOLDEdetCb3zKzQYFHIh9RpuI=\" frameborder=\"0\" width=\"100%\" allowfullscreen></iframe>"
}ライブコンテンツ一覧を取得します。
| content_id | string or null コンテンツのIDで取得対象を絞り込むときに指定します。 |
| title | string or null コンテンツのタイトルで取得対象を絞り込むときに指定します。 |
| description | string or null コンテンツの説明文で取得対象を絞り込むときに指定します。 |
| tags | string or null コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。 |
| live_status | string or null ライブメッセージステータス( |
| public_setting_types | string or null コンテンツが含む公開タイプ( |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| sort_by | string Default: "created_at" Enum: "public_setting.start" "updated_at" "created_at" "score" "title" 並び替えに使用するフィールド。 |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| page_size | integer [ 1 .. 200 ] Default: 20 1ページあたりのコンテンツ数 |
| page | integer [ 1 .. 100000000 ] Default: 1 ページ番号 |
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
required | Array of objects |
| page required | integer ページ番号 |
curl -v -X GET 'https://${end_point}/live/contents?content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&title=タイトル&description=説明文&tags=タグ1,タグ2&live_status=UNDECIDED,BEFORE,STREAMING,SUSPENDED,FINISHED&public_setting_types=public,private,period&thumbnail_url_expires_in_days=1000&sort_by=created_at&order=desc&page_size=200&page=1' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "live_status": "BEFORE",
- "rtmp_urls": [
- "rtmp://example.rtmp1.millvi.com/xxxx/xxxx",
- "rtmp://example.rtmp2.millvi.com/xxxx/xxxx"
], - "stream_key": "xxxx",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00.000000+0900",
- "end": "2018-01-02T12:00:00.000000+0900"
}, - "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "archive": true,
- "dvr": true,
- "events": [
- {
- "event_id": "12345",
- "started_at": "2018-01-02T09:00:00+09:00",
- "ended_at": "2018-01-02T12:00:00+09:00",
- "status": "NOT_CREATED",
- "error_message": "エラーが発生しました",
- "vod_content_id": "vod_content_id",
- "vod_content_exists": true
}
], - "live_channel_status": "RUNNING",
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10時から配信します。",
- "streaming": "配信中です",
- "suspended": "昼休憩です。13時から再開します。",
- "finished": "配信は終了しました。ありがとうございました。"
}, - "live_message_type": {
- "undecided": "MESSAGE",
- "before": "MESSAGE",
- "streaming": "MESSAGE",
- "suspended": "MESSAGE",
- "finished": "MESSAGE"
}, - "recipe_id": "1",
}
], - "page": 1
}ライブコンテンツを作成します。
| title required | string [ 1 .. 1024 ] characters タイトル |
| description | string <= 8192 characters Default: "" 説明文 |
| tag | Array of strings or null タグ。1文字以上256文字以内で設定してください。 |
| recipe_id | string Default: "2" レシピIDを指定してください。(指定されない場合はデフォルトのレシピが入ります) |
object or null 公開設定(ライブコンテンツ作成時に公開設定を指定しない場合は「公開タイプ:公開」となります。) | |
| is_password_required | boolean Default: false コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
| archive | boolean Default: false アーカイブ |
| dvr | boolean Default: false DVR |
object or null ライブ配信メッセージ |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID | ||||||||||||
| title required | string タイトル | ||||||||||||
| live_status required | string Enum: "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" ライブメッセージステータス
| ||||||||||||
| rtmp_urls | Array of strings or null RTMPサーバーのエンドポイント | ||||||||||||
| stream_key | string or null ストリームキー | ||||||||||||
| created_at | string or null 登録日 | ||||||||||||
| updated_at | string or null 更新日 | ||||||||||||
| description | string or null 説明文 | ||||||||||||
object or null 公開設定 | |||||||||||||
| tag | Array of strings or null タグ | ||||||||||||
| is_password_required | boolean or null パスワード設定情報 | ||||||||||||
| archive | boolean or null Default: false アーカイブ | ||||||||||||
| dvr | boolean or null Default: false DVR | ||||||||||||
Array of objects or null ライブイベント履歴 | |||||||||||||
| live_channel_status | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" ライブチャンネルステータス | ||||||||||||
object or null ライブ配信時に表示するメッセージ | |||||||||||||
object or null ライブ配信時に表示するメッセージの種別。 | |||||||||||||
| recipe_id | string or null レシピID | ||||||||||||
Array of objects or null サムネイル情報。サムネイルurlのリストを返します。 | |||||||||||||
object or null ライブ配信時に表示するサムネイル情報。サムネイルurlのリストを返します。 |
{- "title": "タイトル",
- "description": "説明",
- "tag": [
- "tag1",
- "tag2"
], - "recipe_id": "1",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00+09:00",
- "end": "2018-01-02T12:00:00+09:00"
}, - "is_password_required": false,
- "password": "password",
- "archive": true,
- "dvr": true,
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10:00から配信されます。",
- "streaming": "配信中です。",
- "suspended": "13:00から再開します。",
- "finished": "配信が終了しました。ありがとうございました。"
}
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "live_status": "BEFORE",
- "rtmp_urls": [
- "rtmp://example.rtmp1.millvi.com/xxxx/xxxx",
- "rtmp://example.rtmp2.millvi.com/xxxx/xxxx"
], - "stream_key": "xxxx",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00.000000+0900",
- "end": "2018-01-02T12:00:00.000000+0900"
}, - "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "archive": true,
- "dvr": true,
- "events": [
- {
- "event_id": "12345",
- "started_at": "2018-01-02T09:00:00+09:00",
- "ended_at": "2018-01-02T12:00:00+09:00",
- "status": "NOT_CREATED",
- "error_message": "エラーが発生しました",
- "vod_content_id": "vod_content_id",
- "vod_content_exists": true
}
], - "live_channel_status": "RUNNING",
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10時から配信します。",
- "streaming": "配信中です",
- "suspended": "昼休憩です。13時から再開します。",
- "finished": "配信は終了しました。ありがとうございました。"
}, - "live_message_type": {
- "undecided": "MESSAGE",
- "before": "MESSAGE",
- "streaming": "MESSAGE",
- "suspended": "MESSAGE",
- "finished": "MESSAGE"
}, - "recipe_id": "1",
- "thumbnail_info": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "live_message_image": {
- "undecided": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "before": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "streaming": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "suspended": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "finished": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
]
}
}ライブコンテンツ一覧CSVファイルの作成をリクエストします。
当APIはResponses記載のエラーの他、ライブコンテンツ一覧取得APIのエラーを返します。
| content_id | string or null コンテンツのIDで取得対象を絞り込むときに指定します。 |
| title | string or null コンテンツのタイトルで取得対象を絞り込むときに指定します。 |
| description | string or null コンテンツの説明文で取得対象を絞り込むときに指定します。 |
| tags | string or null コンテンツのタグで取得対象を絞り込むときに指定します。タグはカンマ区切りで複数指定できます。 |
| live_status | string or null ライブメッセージステータス( |
| public_setting_types | string or null コンテンツが含む公開タイプ( |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| sort_by | string Default: "created_at" Enum: "public_setting.start" "updated_at" "created_at" "score" "title" 並び替えに使用するフィールド |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| Access-Control-Allow-Origin | * |
| job_id required | string ジョブID |
| api_path required | string CSV生成するAPIのパス |
| params required | string CSV生成するAPIのパラメータをJSON形式に変換した文字列 |
| status required | string Enum: "generating" "generated" "failed" "expired" ジョブのステータス |
| created_at required | string ジョブの作成日時 |
| updated_at required | string ジョブの更新日時 |
curl -v -X GET 'https://${end_point}/live/contents/csv?content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&title=タイトル&description=説明文&tags=タグ1,タグ2&live_status=UNDECIDED,BEFORE,STREAMING,SUSPENDED,FINISHED&public_setting_types=public,private,period&thumbnail_url_expires_in_days=1000&sort_by=created_at&order=desc' -H 'Authorization: Bearer {access_token}'
{- "job_id": "12ab34cd-56ef-78gh-90ij-12kl34mn56op",
- "api_path": "/vod/contents/statistics",
- "params": "{\"from\": \"2024-06-01\", \"to\": \"2024-06-30\"}",
- "status": "generating",
- "created_at": "2024-06-01 00:00:00.000000+09:00",
- "updated_at": "2024-06-01 00:00:00.000000+09:00"
}ライブコンテンツ情報を更新します。
| content_id required | string コンテンツID |
| title | string or null [ 1 .. 1024 ] characters タイトル |
| description | string or null <= 8192 characters 説明文 |
| tag | Array of strings or null タグ。1文字以上256文字以内で設定してください。 |
| recipe_id | string or null レシピIDを指定してください。 |
object or null 公開設定 | |
| thumbnail_active_id | string or null 利用するサムネイルID |
| is_password_required | boolean or null コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
| live_status | string or null Enum: "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" ライブステータス |
| archive | boolean or null アーカイブ |
| dvr | boolean or null DVR |
object or null ライブ配信メッセージ | |
object or null ステータスごとのメッセージタイプ | |
object or null ステータスごとのアクティブな画像ID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID | ||||||||||||
| title required | string タイトル | ||||||||||||
| live_status required | string Enum: "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" ライブメッセージステータス
| ||||||||||||
| rtmp_urls | Array of strings or null RTMPサーバーのエンドポイント | ||||||||||||
| stream_key | string or null ストリームキー | ||||||||||||
| created_at | string or null 登録日 | ||||||||||||
| updated_at | string or null 更新日 | ||||||||||||
| description | string or null 説明文 | ||||||||||||
object or null 公開設定 | |||||||||||||
| tag | Array of strings or null タグ | ||||||||||||
| is_password_required | boolean or null パスワード設定情報 | ||||||||||||
| archive | boolean or null Default: false アーカイブ | ||||||||||||
| dvr | boolean or null Default: false DVR | ||||||||||||
Array of objects or null ライブイベント履歴 | |||||||||||||
| live_channel_status | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" ライブチャンネルステータス | ||||||||||||
object or null ライブ配信時に表示するメッセージ | |||||||||||||
object or null ライブ配信時に表示するメッセージの種別。 | |||||||||||||
| recipe_id | string or null レシピID | ||||||||||||
Array of objects or null サムネイル情報。サムネイルurlのリストを返します。 | |||||||||||||
object or null ライブ配信時に表示するサムネイル情報。サムネイルurlのリストを返します。 |
{- "title": "タイトル",
- "description": "説明",
- "tag": [
- "tag1",
- "tag2"
], - "recipe_id": "1",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00+09:00",
- "end": "2018-01-02T12:00:00+09:00"
}, - "thumbnail_active_id": "1",
- "is_password_required": false,
- "password": "password",
- "live_status": "BEFORE",
- "archive": true,
- "dvr": true,
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10:00から配信されます。",
- "streaming": "配信中です。",
- "suspended": "13:00から再開します。",
- "finished": "配信が終了しました。ありがとうございました。"
}, - "live_message_type": {
- "undecided": "MESSAGE",
- "before": "MESSAGE",
- "streaming": "MESSAGE",
- "suspended": "MESSAGE",
- "finished": "MESSAGE"
}, - "live_message_image_active_id": {
- "undecided": "1",
- "before": "1",
- "streaming": "1",
- "suspended": "1",
- "finished": "1"
}
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "live_status": "BEFORE",
- "rtmp_urls": [
- "rtmp://example.rtmp1.millvi.com/xxxx/xxxx",
- "rtmp://example.rtmp2.millvi.com/xxxx/xxxx"
], - "stream_key": "xxxx",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00.000000+0900",
- "end": "2018-01-02T12:00:00.000000+0900"
}, - "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "archive": true,
- "dvr": true,
- "events": [
- {
- "event_id": "12345",
- "started_at": "2018-01-02T09:00:00+09:00",
- "ended_at": "2018-01-02T12:00:00+09:00",
- "status": "NOT_CREATED",
- "error_message": "エラーが発生しました",
- "vod_content_id": "vod_content_id",
- "vod_content_exists": true
}
], - "live_channel_status": "RUNNING",
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10時から配信します。",
- "streaming": "配信中です",
- "suspended": "昼休憩です。13時から再開します。",
- "finished": "配信は終了しました。ありがとうございました。"
}, - "live_message_type": {
- "undecided": "MESSAGE",
- "before": "MESSAGE",
- "streaming": "MESSAGE",
- "suspended": "MESSAGE",
- "finished": "MESSAGE"
}, - "recipe_id": "1",
- "thumbnail_info": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "live_message_image": {
- "undecided": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "before": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "streaming": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "suspended": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "finished": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
]
}
}ライブコンテンツ情報を削除します。
| content_id required | string コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
curl -v -X DELETE 'https://${end_point}/live/contents/{content_id}' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9"
}ライブコンテンツ詳細情報を取得します。
コンテンツが存在しない場合はステータスコード200でnullを返します。
| content_id required | string コンテンツID |
| thumbnail_url_expires_in_days | integer <= 36500 Default: 7 サムネイルの期限付きURLの失効までの日数 |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID | ||||||||||||
| title required | string タイトル | ||||||||||||
| live_status required | string Enum: "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" ライブメッセージステータス
| ||||||||||||
| rtmp_urls | Array of strings or null RTMPサーバーのエンドポイント | ||||||||||||
| stream_key | string or null ストリームキー | ||||||||||||
| created_at | string or null 登録日 | ||||||||||||
| updated_at | string or null 更新日 | ||||||||||||
| description | string or null 説明文 | ||||||||||||
object or null 公開設定 | |||||||||||||
| tag | Array of strings or null タグ | ||||||||||||
| is_password_required | boolean or null パスワード設定情報 | ||||||||||||
| archive | boolean or null Default: false アーカイブ | ||||||||||||
| dvr | boolean or null Default: false DVR | ||||||||||||
Array of objects or null ライブイベント履歴 | |||||||||||||
| live_channel_status | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" ライブチャンネルステータス | ||||||||||||
object or null ライブ配信時に表示するメッセージ | |||||||||||||
object or null ライブ配信時に表示するメッセージの種別。 | |||||||||||||
| recipe_id | string or null レシピID | ||||||||||||
Array of objects or null サムネイル情報。サムネイルurlのリストを返します。 | |||||||||||||
object or null ライブ配信時に表示するサムネイル情報。サムネイルurlのリストを返します。 |
curl -v -X GET 'https://${end_point}/live/contents/{content_id}?thumbnail_url_expires_in_days=1000' -H 'Authorization: Bearer {access_token}'
{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "タイトル",
- "live_status": "BEFORE",
- "rtmp_urls": [
- "rtmp://example.rtmp1.millvi.com/xxxx/xxxx",
- "rtmp://example.rtmp2.millvi.com/xxxx/xxxx"
], - "stream_key": "xxxx",
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2018-01-02T10:00:00.000000+0900",
- "end": "2018-01-02T12:00:00.000000+0900"
}, - "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "archive": true,
- "dvr": true,
- "events": [
- {
- "event_id": "12345",
- "started_at": "2018-01-02T09:00:00+09:00",
- "ended_at": "2018-01-02T12:00:00+09:00",
- "status": "NOT_CREATED",
- "error_message": "エラーが発生しました",
- "vod_content_id": "vod_content_id",
- "vod_content_exists": true
}
], - "live_channel_status": "RUNNING",
- "live_message": {
- "undecided": "次回の配信は未定です。",
- "before": "10時から配信します。",
- "streaming": "配信中です",
- "suspended": "昼休憩です。13時から再開します。",
- "finished": "配信は終了しました。ありがとうございました。"
}, - "live_message_type": {
- "undecided": "MESSAGE",
- "before": "MESSAGE",
- "streaming": "MESSAGE",
- "suspended": "MESSAGE",
- "finished": "MESSAGE"
}, - "recipe_id": "1",
- "thumbnail_info": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "live_message_image": {
- "undecided": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "before": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "streaming": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "suspended": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
], - "finished": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
]
}
}ライブコンテンツサムネイルを登録します。登録したサムネイルはidが最大のものです。
| content_id required | string コンテンツID |
required | object アップロード情報 |
| activates | boolean Default: true 登録したサムネイルをactiveにするかどうか指定します。 |
| thumbnail_type | string Default: "LIVE_CONTENT" Enum: "LIVE_CONTENT" "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" サムネイルのタイプ |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
required | Array of objects サムネイル情報 |
{- "upload_info": {
- "file_name": "origin_file.jpg",
- "key": "tmp:xxxxxxxxx"
}, - "activates": true,
- "thumbnail_type": "LIVE_CONTENT"
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "thumbnail_info": [
- {
- "path": "/a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file.0000000.jpg",
- "id": "1",
- "is_active": true,
}
]
}ライブ用サムネイル画像を削除する。(複数指定可能)
ただし、使用しているサムネイルは削除できません。
| content_id required | string コンテンツID |
| thumbnail_ids required | Array of strings 削除対象サムネイルID |
| thumbnail_type | string Default: "LIVE_CONTENT" Enum: "LIVE_CONTENT" "UNDECIDED" "BEFORE" "STREAMING" "SUSPENDED" "FINISHED" サムネイルのタイプ |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| thumbnail_ids required | Array of strings 削除されたサムネイルID一覧 |
{- "thumbnail_ids": [
- "1",
- "2",
- "3"
], - "thumbnail_type": "LIVE_CONTENT"
}{- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "thumbnail_ids": [
- "1",
- "2",
- "3"
]
}指定したイベントIDのアーカイブ処理を行います。
| content_id required | string コンテンツID |
| event_id required | string イベントID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| channel_state | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" チャンネルステータス |
curl -v -X POST 'https://${end_point}/live/contents/{content_id}/{event_id}/archive' -H 'Authorization: Bearer {access_token}' -H 'Content-Type: application/json'
{- "content_id": "contentid",
- "channel_state": "IDLE"
}ライブチャンネル詳細リスト取得を取得します。
| content_id | string or null コンテンツID |
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
required | Array of objects ライブチャンネル情報リスト |
curl -v -X GET 'https://${end_point}/live/channels?content_id=contentid' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "content_id": "contentid",
- "channel_state": "IDLE"
}
]
}ライブチャンネルの開始処理を受付けます。
| content_id required | string non-empty コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| channel_state | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" チャンネルステータス |
{- "content_id": "contentid"
}{- "content_id": "contentid",
- "channel_state": "IDLE"
}ライブチャンネルの停止処理を受付ます。"
| content_id required | string non-empty コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| channel_state | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" チャンネルステータス |
{- "content_id": "contentid"
}{- "content_id": "contentid",
- "channel_state": "IDLE"
}ライブチャンネル詳細取得を取得します。
コンテンツが存在しない場合、もしくはチャンネルが未開始の場合はステータスコード200でnullを返します。
| content_id required | string コンテンツID |
| Access-Control-Allow-Origin | * |
| content_id required | string コンテンツID |
| channel_state | string or null Enum: "CREATING" "CREATE_FAILED" "IDLE" "STARTING" "RUNNING" "RECOVERING" "STOPPING" "DELETING" "DELETED" "UPDATING" "UPDATE_FAILED" "DETACHED" "ATTACHED" チャンネルステータス |
curl -v -X GET 'https://${end_point}/live/channels/{content_id}' -H 'Authorization: Bearer {access_token}'
{- "content_id": "contentid",
- "channel_state": "IDLE"
}新規/リピート統計を返します。
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| timeframe | string Default: "day" Enum: "day" "month" "year" 集計期間 |
| Access-Control-Allow-Origin | * |
required | object 期間内全体統計 |
required | Array of objects 時系列統計 |
| total_count required | integer 時系列統計データレコード件数 |
curl -v -X GET 'https://${end_point}/analytics/visits?from=2023-01-01&to=2023-01-02&timeframe=day' -H 'Authorization: Bearer {access_token}'
{- "total": {
- "date": "2023-01-01",
- "new_visit_plays": 1,
- "new_visit_average_play_duration_seconds": 1,
- "returning_visit_plays": 1,
- "returning_visit_average_play_duration_seconds": 1
}, - "items": [
- {
- "date": "2023-01-01",
- "new_visit_plays": 1,
- "new_visit_average_play_duration_seconds": 1,
- "returning_visit_plays": 1,
- "returning_visit_average_play_duration_seconds": 1
}
], - "total_count": 1
}コンテンツ統計情報を返します。
削除済みコンテンツ、再生実績の無いコンテンツの結果も取得します。
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| group_by | string Default: "content_id" Enum: "content_id" "country" "region" "referrer" "device" "os" "os_version" "browser" "browser_version" 統計値を集約するディメンション |
| content_id | string or null non-empty コンテンツID |
| group_name | string or null non-empty ディメンションの集約グループ名 |
| filter_by | string or null non-empty Enum: "content_id" "country" "referrer" "device" "os" "browser" ディメンションを絞るグループ名 |
| filter_value | string or null non-empty
|
| sort_by | string Default: "plays" Enum: "plays" "impressions" "plays_from_impressions" "average_play_duration_seconds" "transfer" 並び替えに使用するフィールド |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| media_type | string Default: "video" Enum: "pdf" "video" "live" "audio" コンテンツ種別 |
| page_size | integer [ 1 .. 200 ] Default: 20 1ページあたりのコンテンツ数 |
| page | integer [ 1 .. 100000000 ] Default: 1 ページ番号 |
| Access-Control-Allow-Origin | * |
| total_count required | integer 対象のレコード件数 |
required | Array of objects 統計 |
| page | integer >= 1 Default: 1 ページ番号 |
curl -v -X GET 'https://${end_point}/analytics/contents/summary?from=2023-01-01&to=2023-01-02&group_by=content_id&content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&group_name=グループ名&filter_by=content_id&filter_value=content_id&sort_by=plays&order=desc&media_type=video&page_size=20&page=1' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "group_name": "グループ名",
- "alternative_group_name": "タイトル",
- "plays": 10,
- "average_play_duration_seconds": 10,
- "transfer": 1073741824,
- "impressions": 10,
- "plays_from_impressions": 1,
- "view_completions_25_percent": 0.5,
- "view_completions_50_percent": 0.5,
- "view_completions_75_percent": 0.5,
- "view_completions_100_percent": 0.5
}
], - "page": 1
}コンテンツ統計情報CSVファイルの作成をリクエストします。 当APIはResponses記載のエラーの他、コンテンツ統計情報取得APIのエラーを返します。
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| group_by | string Default: "content_id" Enum: "content_id" "country" "region" "referrer" "device" "os" "os_version" "browser" "browser_version" 統計値を集約するディメンション |
| content_id | string or null non-empty コンテンツID |
| group_name | string or null non-empty ディメンションの集約グループ名 |
| filter_by | string or null non-empty Enum: "content_id" "country" "referrer" "device" "os" "browser" ディメンションを絞るグループ名 |
| filter_value | string or null non-empty
|
| sort_by | string Default: "plays" Enum: "plays" "impressions" "plays_from_impressions" "average_play_duration_seconds" "transfer" "storage" 並び替えに使用するフィールド |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| media_type | string Default: "video" Enum: "pdf" "video" "live" "audio" コンテンツ種別 |
| Access-Control-Allow-Origin | * |
| job_id required | string ジョブID |
| api_path required | string CSV生成するAPIのパス |
| params required | string CSV生成するAPIのパラメータをJSON形式に変換した文字列 |
| status required | string Enum: "generating" "generated" "failed" "expired" ジョブのステータス |
| created_at required | string ジョブの作成日時 |
| updated_at required | string ジョブの更新日時 |
curl -v -X GET 'https://${end_point}/analytics/contents/summary/csv?from=2023-01-01&to=2023-01-02&group_by=content_id&content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&group_name=グループ名&filter_by=content_id&filter_value=content_id&sort_by=plays&order=desc&media_type=video' -H 'Authorization: Bearer {access_token}'
{- "job_id": "12ab34cd-56ef-78gh-90ij-12kl34mn56op",
- "api_path": "/vod/contents/statistics",
- "params": "{\"from\": \"2024-06-01\", \"to\": \"2024-06-30\"}",
- "status": "generating",
- "created_at": "2024-06-01 00:00:00.000000+09:00",
- "updated_at": "2024-06-01 00:00:00.000000+09:00"
}コンテンツ時系列統計情報を返します。
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| timeframe | string Default: "day" Enum: "day" "month" "year" 集計期間 |
| group_by | string Default: "content_id" Enum: "content_id" "country" "referrer" "device" "os" "browser" 統計値を集約するディメンション |
| group_name | string or null non-empty ディメンションの集約グループ名 |
| content_id | string or null non-empty コンテンツID |
| media_type | string Default: "video" Enum: "pdf" "video" "live" "audio" コンテンツ種別 |
| Access-Control-Allow-Origin | * |
required | object 期間内全体統計 |
required | Array of objects 時系列統計 |
| total_count required | integer 時系列データレコード件数 |
| group_name | string or null ディメンションの集約グループ名 |
| alternative_group_name | string or null ディメンションの集約グループ別名 |
curl -v -X GET 'https://${end_point}/analytics/contents/timeseries?from=2023-01-01&to=2023-01-02&timeframe=day&group_by=content_id&group_name=グループ名&content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&media_type=video' -H 'Authorization: Bearer {access_token}'
{- "total": {
- "date": "2022-01-01",
- "plays": 10,
- "average_play_duration_seconds": 10,
- "transfer": 1073741824,
- "plays_from_impressions": 1,
- "impressions": 10,
- "view_completions_25_percent": 0.5,
- "view_completions_50_percent": 0.5,
- "view_completions_75_percent": 0.5,
- "view_completions_100_percent": 0.5
}, - "items": [
- {
- "date": "2022-01-01",
- "plays": 10,
- "average_play_duration_seconds": 10,
- "transfer": 1073741824,
- "plays_from_impressions": 1,
- "impressions": 10,
- "view_completions_25_percent": 0.5,
- "view_completions_50_percent": 0.5,
- "view_completions_75_percent": 0.5,
- "view_completions_100_percent": 0.5
}
], - "total_count": 1,
- "group_name": "グループ名",
- "alternative_group_name": "タイトル"
}コンテンツ時系列統計情報CSVファイルの作成をリクエストします。 当APIはResponses記載のエラーの他、コンテンツ時系列統計情報取得APIのエラーを返します。
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| timeframe | string Default: "day" Enum: "day" "month" "year" 集計期間 |
| group_by | string Default: "content_id" Enum: "content_id" "country" "referrer" "device" "os" "browser" 統計値を集約するディメンション |
| group_name | string or null non-empty ディメンションの集約グループ名 |
| content_id | string or null non-empty コンテンツID |
| media_type | string Default: "video" Enum: "pdf" "video" "live" "audio" コンテンツ種別 |
| Access-Control-Allow-Origin | * |
| job_id required | string ジョブID |
| api_path required | string CSV生成するAPIのパス |
| params required | string CSV生成するAPIのパラメータをJSON形式に変換した文字列 |
| status required | string Enum: "generating" "generated" "failed" "expired" ジョブのステータス |
| created_at required | string ジョブの作成日時 |
| updated_at required | string ジョブの更新日時 |
curl -v -X GET 'https://${end_point}/analytics/contents/timeseries/csv?from=2023-01-01&to=2023-01-02&timeframe=day&group_by=content_id&group_name=グループ名&content_id=4ba28124-c54g-83d8-9xxb-5324bddbafc9&media_type=video' -H 'Authorization: Bearer {access_token}'
{- "job_id": "12ab34cd-56ef-78gh-90ij-12kl34mn56op",
- "api_path": "/vod/contents/statistics",
- "params": "{\"from\": \"2024-06-01\", \"to\": \"2024-06-30\"}",
- "status": "generating",
- "created_at": "2024-06-01 00:00:00.000000+09:00",
- "updated_at": "2024-06-01 00:00:00.000000+09:00"
}コンテンツ視聴維持率情報を返します。
| content_id required | string non-empty コンテンツID |
| media_type required | string Enum: "pdf" "video" "live" コンテンツ種別 |
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| Access-Control-Allow-Origin | * |
required | Array of objects 視聴維持率統計 |
| total_count required | integer 視聴維持率データレコード件数 |
curl -v -X GET 'https://${end_point}/analytics/contents/{content_id}/audience_retention?media_type=video&from=2023-01-01&to=2023-01-02' -H 'Authorization: Bearer {access_token}'
{- "items": [
- {
- "playhead": 5,
- "audience_retention": 0.5
}
], - "total_count": 1
}コンテンツ視聴達成情報を返します。
| content_id required | string non-empty コンテンツID |
| media_type required | string Value: "video" コンテンツ種別 |
| from required | string >= 2023-01-01 対象年月日(開始) |
| to | string 対象年月日(終了) |
| Access-Control-Allow-Origin | * |
required | Array of objects 再生達成率統計 |
| total_count required | integer 再生達成率データレコード件数 |
curl -v -X GET 'https://${end_point}/analytics/contents/{content_id}/completion?media_type=video&from=2023-01-01&to=2023-01-02' -H 'Authorization: Bearer {access_token}'
{- "items": [
- {
- "playback_progress": 0.25,
- "view_rate": 0.5
}
], - "total_count": 1
}プレイリストを作成します。
| title required | string [ 1 .. 1024 ] characters タイトル |
| playlist_type required | string Enum: "manual" "auto" プレイリスト種別。2階層構成の親のプレイリスト作成時はmanualを固定で指定します。 |
| media_type required | string Enum: "video" "audio" "pdf" メディアタイプ |
| level_type | string Default: "level1" Enum: "level1" "level2" プレイリストの階層種別を指定します。1階層構成のプレイリスト作成時はlevel1を指定し、2階層構成の親もしくは子プレイリスト作成時はlevel2を指定します。 |
| description | string <= 8192 characters Default: "" 説明文 |
object or null 公開設定を指定します。2階層構成の子作成時は指定不要で必ずNoneで保存されます。 | |
object プレイリストを自動で作成する際の設定です。playlist_typeにautoを指定した時だけ有効な設定です。 | |
| contents | Array of strings or null <= 100 items プレイリストに紐づけるコンテンツIDを指定します。プレイリスト種別で |
| is_password_required | boolean Default: false コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
| parent_playlist_id | string non-empty Default: "root" 2階層構成の子のプレイリスト作成時に親のプレイリストIDを指定します。2階層構成の親か1階層構成のプレイリスト作成時は指定不要です。 |
| Access-Control-Allow-Origin | * |
| playlist_id required | string プレイリストID |
| title required | string タイトル |
| playlist_type required | string Enum: "manual" "auto" プレイリストへのコンテンツ追加方法 |
| media_type required | string Enum: "video" "audio" "pdf" メディアタイプ |
| level_type required | string Enum: "level1" "level2" プレイリストの階層種別 |
required | object or null 公開設定。2階層構成の親のプレイリストの場合は必ずNoneを返します |
| description required | string 説明文 |
| is_password_required required | boolean パスワード設定情報 |
| created_at required | string プレイリスト登録日 |
| updated_at required | string プレイリスト更新日 |
| parent_playlist_id | string or null 2階層の子のプレイリスト指定時は親のプレイリストIDを返します。2階層の親のプレイリスト指定時はNoneを返します。 |
object or null プレイリストを自動で作成する際の設定 | |
| thumbnail_url | string or null サムネイルURL |
| content_count | integer Default: 0 プレイリスト内のコンテンツ数 |
Array of objects or objects or null プレイリスト内のコンテンツの一覧情報 | |
Array of objects or null プレイリスト内のプレイリストの一覧情報 |
{- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "auto_playlist_config": {
- "sort_by": "latest",
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5,
- "limit": 5
}, - "contents": [
- "4ba28124-c54f-83d8-9aab-5324bddbafc9"
], - "is_password_required": false,
- "password": "password",
- "parent_playlist_id": "root"
}{- "playlist_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "description": "説明",
- "is_password_required": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "parent_playlist_id": null,
- "auto_playlist_config": {
- "sort_by": "latest",
- "limit": 5,
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5
}, - "content_count": 0,
- "contents": [
- {
- "content_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "media_type": "video",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "conversion_rate": 100,
- "duration": 0,
- "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
], - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1,
}, - "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "parent_folders": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "folder001"
}
]
}
], - "playlists": [
- {
- "playlist_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "description": "説明",
- "is_password_required": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "parent_playlist_id": null,
- "auto_playlist_config": {
- "sort_by": "latest",
- "limit": 5,
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5
}, - "content_count": 0
}
]
}プレイリスト一覧を取得します。
| playlist_id | string or null プレイリストID |
| title | string or null プレイリストのタイトルで取得対象を絞り込むときに指定します。 |
| description | string or null プレイリストの説明文で取得対象を絞り込むときに指定します。 |
| media_type | string or null プレイリストのメディアタイプ( |
| level_type | string or null プレイリストの階層種別( |
| playlist_type | string or null プレイリスト種別( |
| public_setting_type | string or null 公開設定の種別( |
| sort_by | string Default: "created_at" Enum: "updated_at" "created_at" "score" "title" 並び替えに使用するフィールド。 |
| order | string Default: "desc" Enum: "asc" "desc" 昇順(asc) / 降順(desc) |
| page_size | integer or null [ 1 .. 200 ] 1ページあたりのプレイリスト数 |
| page | integer or null >= 1 ページ番号 |
| Access-Control-Allow-Origin | * |
| total_count required | integer itemsの総数 |
required | Array of objects |
curl -v -X GET 'https://${end_point}/playlists?playlist_id=None&title=None&description=None&media_type=video,audio,pdf&level_type=level1,level2&playlist_type=manual,auto,manual_auto&public_setting_type=public,private,period&sort_by=created_at&order=desc&page_size=200&page=1' -H 'Authorization: Bearer {access_token}'
{- "total_count": 1,
- "items": [
- {
- "playlist_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "description": "説明",
- "is_password_required": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "parent_playlist_id": null,
- "auto_playlist_config": {
- "sort_by": "latest",
- "limit": 5,
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5
}, - "content_count": 0,
- "child_playlist_type": null
}
]
}プレイリストを更新します。
| playlist_id required | string プレイリストID |
| is_force_delete | boolean or null Default: false 誤削除防止フラグ。 |
| title | string or null [ 1 .. 1024 ] characters タイトル |
| description | string or null <= 8192 characters 説明文 |
object or null 公開設定 | |
object or null プレイリストを自動で作成するときの設定です。 | |
| is_password_required | boolean or null コンテンツへのパスワードの機能設定。 |
| password | string or null コンテンツへのパスワード。
|
| contents | Array of strings or null <= 100 items 1階層構成もしくは2階層構成の子のプレイリスを更新するときだけ更新可能です。 |
| playlists | Array of strings or null <= 100 items 2階層構成の親のプレイリストを更新する際のみ更新可能です。 |
| Access-Control-Allow-Origin | * |
| playlist_id required | string プレイリストID |
| title required | string タイトル |
| playlist_type required | string Enum: "manual" "auto" プレイリストへのコンテンツ追加方法 |
| media_type required | string Enum: "video" "audio" "pdf" メディアタイプ |
| level_type required | string Enum: "level1" "level2" プレイリストの階層種別 |
required | object or null 公開設定。2階層構成の親のプレイリストの場合は必ずNoneを返します |
| description required | string 説明文 |
| is_password_required required | boolean パスワード設定情報 |
| created_at required | string プレイリスト登録日 |
| updated_at required | string プレイリスト更新日 |
| parent_playlist_id | string or null 2階層の子のプレイリスト指定時は親のプレイリストIDを返します。2階層の親のプレイリスト指定時はNoneを返します。 |
object or null プレイリストを自動で作成する際の設定 | |
| thumbnail_url | string or null サムネイルURL |
| content_count | integer Default: 0 プレイリスト内のコンテンツ数 |
Array of objects or objects or null プレイリスト内のコンテンツの一覧情報 | |
Array of objects or null プレイリスト内のプレイリストの一覧情報 |
{- "is_force_delete": false,
- "title": "タイトル",
- "description": "説明",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "auto_playlist_config": {
- "sort_by": "latest",
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5,
- "limit": 5
}, - "is_password_required": false,
- "password": "password",
- "contents": [
- "4ba28124-c54f-83d8-9aab-5324bddbafc9"
], - "playlists": [
- "4ba28124-c54f-83d8-9aab-5324bddbafc9"
]
}{- "playlist_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "description": "説明",
- "is_password_required": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "parent_playlist_id": null,
- "auto_playlist_config": {
- "sort_by": "latest",
- "limit": 5,
- "tags": [
- "tag1",
- "tag2"
], - "latest": 5
}, - "content_count": 0,
- "contents": [
- {
- "content_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "status": "CONVERT_COMPLETED",
- "created_at": "2022-03-01 00:00:00.000000+09:00",
- "updated_at": "2022-04-01 00:00:00.000000+09:00",
- "description": "説明",
- "media_type": "video",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "conversion_rate": 100,
- "duration": 0,
- "thumbnail_info": [
- {
- "id": "1",
- "is_active": true,
}
], - "pdf_info": {
- "image_file_path": "a4f648808d00ce7fdc2ccc7477a66620be490c3/4ba28124-c54g-83d8-9xxb-5324bddbafc9/origin_file",
- "total_page_count": 1,
}, - "origin_file_name": "origin_file.mp4",
- "origin_file_size": 1024,
- "tag": [
- "tag1",
- "tag2"
], - "is_password_required": false,
- "parent_content_id": "4ba28124-c54f-83d8-9abb-5324bddbafc9",
- "storage_amount": 1024,
- "recipe_id": "1",
- "subtitles": [
- {
- "subtitle_id": "1fb76906-9f13-49fe-a13f-46714d81c250",
- "label": "日本語",
- "srclang": "ja",
- "is_default": false,
- "is_enabled": false,
- "order": 0,
- "status": "PROCESSED",
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}
], - "chapter": {
- "label": "第1章",
- "is_enabled": false,
- "created_at": "2022-01-01T00:00:00.000000+0900",
- "updated_at": "2022-01-01T00:00:00.000000+0900"
}, - "origin_file_dimension": {
- "width": 1920,
- "height": 1080
}, - "parent_folders": [
- {
- "content_id": "4ba28124-c54g-83d8-9xxb-5324bddbafc9",
- "title": "folder001"
}
]
}
], - "playlists": [
- {
- "playlist_id": "4ba28124-c54f-83d8-9aab-5324bddbafc9",
- "title": "タイトル",
- "playlist_type": "manual",
- "media_type": "video",
- "level_type": "level1",
- "public_setting": {
- "type": "period",
- "start": "2022-03-01T00:00:00.000000+0900",
- "end": "2022-04-01T00:00:00.000000+0900"
}, - "description": "説明",
- "is_password_required": false,
- "created_at": "2022-03-01T00:00:00.000000+0900",
- "updated_at": "2022-04-01T00:00:00.000000+0900",
- "parent_playlist_id": null,
- "auto_playlist_config": {
[...]
